#delimit;
set more off;
clear all;
global directory /disk/agedisk3/oebb.work/cbehrer/oregon/;

pause off ; 

local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);

global cdate `cdate';
global ctime `ctime';
di "$cdate";

/*--------------------------------------------
Created:	1/20/14 by AHS
Modified:	03/14/16 by CRB 
This is the shell file that runs the premium inputs.  
It involves the following input files:
	(1) "1_Aoregonpremium_03-14-16.do"			
		- uses "PlanEligibilityallYears20131202_`x'.csv" merged with "PlanRateStructureandPremium.csv" to make "/disk/agedisk3/oebb.work/cbehrer/oregon/data/built/premium/oregonpremium_`cdate'.dta"
	(2) "1_Bcontributionfile_03-14-16.do"
		- This takes the input csv and cleans it up, matching it to the eligibility file, replacing fixeddesc, edc.
	(3) "1_Ccomputeempprem_03-14-16.do"	
		- takes "oregonpremium_`cdate'" and merges it with the Contribution data.  
==> output file:  /disk/agedisk3/oebb.work/cbehrer/oregon/data/built/premium/finalpremium_`cdate'.dta 
--------------------------------------------*/;

* date on contribution information excel document ; 
global contributiondate "03012016";
global oregonpremiumdate "`cdate'";

di "`oregonpremiumdate'";

include $directory/do/1premiumandchoiceset/1_Aoregonpremium_03-14-16.do ;
include $directory/do/1premiumandchoiceset/1_Bcontributionfile_03-14-16.do ;
include $directory/do/1premiumandchoiceset/1_Ccomputeempprem_03-14-16.do ;