#d; 
set more off; 
 // When we assign the deductible for ODS for tier 3, we assign the same deductible as a employee plus spouse. 
 // It appears that in the case where the tier 3 (employee plus child(ren)) person has only 1 child, this makes 
 // sense. But when the person has more than 1 child, I think we should be assigning a higher deductible max that 
 // accounts for the extra children. Basically we will make the deductible max for tier 3 equal to the number of 
 // people in the family, subject to the family deductible max. 
 
gen d = 0;  
bys personid: replace d = 1 if _n==1; 
bys familyid: egen sumd = sum(d); 

bys plan network : egen min_ded = min(maxded); 
bys plan network : egen max_ded = max(maxded); 

 // So the min_ded will hold what the individual max is, and the max_ded will hold what the family max is. 
 
replace maxded = min_ded * sumd if(tier == 3 & (planfirst == "O" | planfirst == "M") & sumd > 2); 
replace maxded = max_ded if maxded>max_ded & (planfirst == "O" | planfirst == "M") ; 

 