#delimit ;
clear;
set more off;

/*** 0. Initializations and log*/;
pause off ;
global directory /disk/agedisk3/oebb.work/cbehrer/oregon/;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);
global cdate `cdate';
global ctime `ctime';
di "$cdate";
log using "$directory/log/analysis/builddata/combine_calc_output_`cdate'_`ctime'.log";
cap mkdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/for_analysis/`cdate'/" ;
local omeddate 18_Jul_2017 ; 
local rebuilddate 18_Jul_2017 ; 
local outdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/for_analysis/`cdate'" ;
local indir1 "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/june2015/base/`omeddate'/calc_output/" ;
local indir2 "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/rebuild/base/`rebuilddate'/calc_output" ;

foreach year in 2008 2009 2010 2011 2012 2013 {; 
	use "`indir1'/`year'/calcrun_acg0_`omeddate'_PF.dta", clear ; 
	
	keep personid*  familyid plan drugplan drug copay coinsurance deductible origcopay origcoin origded allowedamt network nooop noded chosen;
	tempfile old ; 
	save `old' ; 
	
	use "`indir2'/`year'/calcrun_acg0_`rebuilddate'_PF.dta", clear ; 
	keep personid*  familyid plan drugplan drug copay coinsurance deductible origcopay origcoin origded allowedamt network nooop noded chosen;
	append using `old' ;
	
	tab plan ; 
	
	cap mkdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/for_analysis/`cdate'/`year'/" ;
	save "`outdir'/`year'/calcrun_acg0_`cdate'_PF.dta", replace ; 
} ; 
log close ; 