#delimit ;
clear;
set more off;

/*** 0. Initializations and log*/;
pause off ;
global directory /disk/agedisk3/oebb.work/cbehrer/oregon/;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);
global cdate `cdate';
global ctime `ctime';
di "$cdate";
log using "$directory/log/analysis/builddata/combine_ACGcalc_output_`cdate'_`ctime'.log";
cap mkdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/for_analysis/30_Sep_2016/" ;
local omeddate 28_Sep_2016 ; 
local rebuilddate 28_Sep_2016 ; 
local outdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/for_analysis/30_Sep_2016" ;
local indir1 "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/june2015/acg/`omeddate'/calc_output/" ;
local indir2 "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/rebuild/acg/`rebuilddate'/calc_output" ;

* this year is the claim year, so for ACG, the plan year is this year ; 

foreach year in 2009 2010 2011 2012 2013 {; 
	* weird underscore at end of filepath by mistake ; 
	use "`indir1'/`year'/calcrun_acg1_`omeddate'_PF_.dta", clear ; 
	drop if substr(drugplan,1,1) == "K" ; 
	drop if substr(drugplan,1,1) == "P" ;
	keep personid*  familyid plan drugplan drug copay coinsurance deductible origcopay origcoin origded allowedamt network nooop noded chosen;

	tempfile old ; 
	save `old' ; 
	
	* date twice & weird underscore in filepath ; 
	use "`indir2'/`year'/calcrun_acg1_`rebuilddate'_`rebuilddate'_PF_.dta", clear ; 
	keep personid*  familyid plan drugplan drug copay coinsurance deductible origcopay origcoin origded allowedamt network nooop noded chosen;
	append using `old' ; 
	
	tab plan ; 
	sort familyid personid plan ; 
	
	cap mkdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/calculator/for_analysis/30_Sep_2016/`year'/" ;
	save "`outdir'/`year'/calcrun_acg1_`cdate'_ACG.dta", replace ; 
} ; 
log close ; 