#d; 
set more off; 
pause off; 

* We read from agedisk3 and write to agedisk4 in this file to avoid space constraints on agedisk3 ; 
global directory /disk/agedisk4/oebb.work/cbehrer/oregon ;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);

local a_date _3_Oct_2016 ; 
local celldate _3_Oct_2016 ; 

local output_directory $directory/data/analysis/acgdistributions/handel_method ;
cap mkdir `output_directory'/`cdate'/;

log using "/disk/agedisk3/oebb.work/cbehrer/oregon/log/analysis/acg/HM/0HM_sumcalc_`cdate'_`ctime'.log" ;

foreach year in 2009 2010 2011 2012 2013 { ; 
di "Year is: `year'" ;
cap mkdir `output_directory'/`cdate'/`year'/ ;
		  
use  "/disk/agedisk3/oebb.work/cbehrer/oregon/data/built/sample/acg/sample_w_allcells_`year'_`celldate'.dta", clear ;
drop personidIE familyid ;

merge 1:m personid planyear using "/disk/agedisk3/oebb.work/cbehrer/oregon/data/analysis/30_Sep_2016/working_analysis_p1_acg_`year'_ACG_`a_date'.dta", keepusing(personid drugplan plan planyear sum_cc_in sum_cc_out sum_uncap sum_cc_drug sum_deductible) ;
assert _merge == 3 ; 
drop _merge ; 
	
keep personid drugplan plan planyear sum_cc_in sum_cc_out sum_uncap sum_cc_drug sum_deductible cell* ; 
	
save "`output_directory'/`cdate'/`year'/HM_ACG_calcout_`year'_`cdate'.dta", replace ; 
} ;
log close ; 