#d; 
set more off; 
pause off; 
global directory /disk/agedisk4/oebb.work/cbehrer/oregon ;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);

local calcout _3_Oct_2016 ; 
cap mkdir /disk/agedisk4/oebb.work/cbehrer/oregon/data/analysis/acgdistributions/handel_method/samples/ ; 
local output_directory /disk/agedisk4/oebb.work/cbehrer/oregon/data/analysis/acgdistributions/handel_method/samples/ ;
 
log using "/disk/agedisk3/oebb.work/cbehrer/oregon/log/analysis/acg/HM/1HM_samples_`cdate'_`ctime'.log" ;
set seed 1073741823 ;
ssc install gsample ; 
ssc install moremata ;
foreach year in 2009 2010 2011 2012 2013 {; 
di "Year is: `year'" ;
	foreach cell in cell3 celldec cellreg {;
		foreach size in 2000 10000 20000 {;
		use  "${directory}/data/analysis/acgdistributions/handel_method/`calcout'/`year'/HM_ACG_calcout_`year'_`calcout'.dta", clear ;
		keep personid drugplan plan planyear sum_cc_in sum_cc_out sum_uncap sum_cc_drug sum_deductible `cell' ;
		preserve ; 
		keep personid `cell' ; 
		duplicates drop ; 
		tab `cell' ; 
		restore ; 

		preserve ;
			keep personid cell ; 
			duplicates drop ; 
			isid(personid) ;
			unique(personid) ;
			di "year is `year'" ;
			if `year' == 2009 assert _result(18) == 81356 ;
			if `year' == 2010 assert _result(18) == 77600 ;
			if `year' == 2011 assert _result(18) == 78142 ;
			if `year' == 2012 assert _result(18) == 74937 ;
			if `year' == 2013 assert _result(18) == 66588 ;
			gsample `size', strata(`cell') ;
			sort `cell' personid ; 
			by `cell' : gen id = _n ; 
			unique(personid) ;
			isid(personid id);
		tempfile personlist`size' ;
		save `personlist`size'' ;
		restore ; 
		
		use  "${directory}/data/analysis/acgdistributions/handel_method/`calcout'/`year'/HM_ACG_calcout_`year'_`calcout'.dta", clear ;
		keep personid drugplan plan planyear sum_cc_in sum_cc_out sum_uncap sum_cc_drug sum_deductible `cell' ; 
		
		joinby personid cell using `personlist`size'', unmatch(both) ; 
		assert _merge != 2 ; 
		keep if _merge == 3 ; 
		drop _merge ; 

		unique(personid id) ; 
		unique(id) ;
		assert _result(18) == `size' ; 
		unique(id cell) ; 
		isid(personid id plan drugplan) ;
		
		save "`output_directory'/HM_ACG_sample_`cell'_`size'_`year'_`cdate'.dta", replace ;
		clear ; 
		};
	} ;
} ;
log close ; 