#d; 
set more off; 
pause off; 
global directory /disk/agedisk3/oebb.work/cbehrer/oregon ;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);

local samplein /disk/agedisk3/oebb.work/cbehrer/oregon/data/built/sample ; 
local sampledate 23_Sep_2016 ; 

local celldate _3_Oct_2016 ;
local choiceset "$directory/data/built/premium/choiceset_29_Mar_2016.dta" ;
log using "/disk/agedisk3/oebb.work/cbehrer/oregon/log/analysis/acg/HM/2HM_buildfamilies_`cdate'_`ctime'.log" ;

foreach year in 2009 2010 2011 2012 2013 {; 
di "Year is: `year'" ;
* 1) we need the sample of people ; 
use "`samplein'/sample_PB_`year'_`sampledate'.dta", clear ; 
drop age_yr eligmo_date eligstrt ;			
drop _merge ; 
* 2) we need their cells ; 
merge 1:1 personid using "`samplein'/acg/sample_w_allcells_`year'_`celldate'.dta", keepusing(cell*) ;
assert cell3 != "" ; 
assert celldec !=. ; 
assert cellreg !=. ; 
assert _merge == 3 ; 
drop _merge ; 
*3) we need their choices ;
* this is NOT the ACG choice set...we have already modelled all people as individuals in all plans, so now we just need to merge that output back onto our sample ; 
* for the plans that they could actually have chosen, so this restricted choiceset ;  
tostring entitynum, replace ; 
joinby entitynum empid memid planyear using `choiceset', unmatched(both) ; 
keep if _merge == 3 ; 
drop _merge ; 
rename rxplan drugplan ; 
save "/disk/agedisk4/oebb.work/cbehrer/oregon/data/analysis/acgdistributions/handel_method/temp/HM_bene_plan_`year'_`cdate'.dta", replace ;

preserve ; 
keep familyid ; 
duplicates drop ; 
gen n = _n ; 
xtile grp = _n, nq(100) ; 
tempfile grp ; 
save `grp' ; 
restore ; 

merge m:1 familyid using `grp' ; 
assert _merge == 3 ; 
drop _merge n ; 

	forvalues i = 1(1)100 { ;
		preserve ; 
		keep if grp == `i' ; 
		save "/disk/agedisk4/oebb.work/cbehrer/oregon/data/analysis/acgdistributions/handel_method/temp/personpieces/HM_bene_plan`i'_`year'_`cdate'.dta", replace ;
		restore ;
	} ;
} ;
log close ; 