#d; 
set more off; 
pause off; 
global directory /disk/agedisk4/oebb.work/cbehrer/oregon ;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);

log using "/disk/agedisk3/oebb.work/cbehrer/oregon/log/analysis/acg/HM/3HM_merge_w_acg10k_p4_2012_`cdate'_`ctime'.log" ;

local input_directory ${directory}/data/analysis/acgdistributions/handel_method/samples/ ;
local limits /disk/agedisk3/oebb.work/cbehrer/oregon/data/given/clean/limits.csv ;
local pdate _3_Oct_2016 ;
local acgdate _3_Oct_2016 ;

foreach year in 2012  {; 
di "Year is: `year'" ;

insheet using `limits' ; 
drop v* ; 

* First just deductible ; 
keep if planyear == `year' ; 
preserve ; 
drop network maxoop; 
duplicates drop ; 
gen counter = 1 ; 
egen dups = sum(counter), by(plan tier) ;

* I've checked these ; 
drop if maxded == 0 & dups == 2 ;
drop dups counter ; 
isid (plan tier) ;
tempfile dedmax ; 
save `dedmax' ; 
restore ; 
* Now OOP maxes ; 
drop maxded ; 
preserve ; 
keep if network == 1 ; 
rename maxoop maxoop_in ;
duplicates drop ; 
isid(plan tier) ;
tempfile maxoop_in  ;
save `maxoop_in' ;
restore ; 
keep if network == 0 ; 
rename maxoop maxoop_out ;
duplicates drop ; 
isid(plan tier) ;
tempfile maxoop_out  ;
save `maxoop_out' ;

*we need to join in the N estimates of the cost of someone in a beneficiaries cell in each plan in their choice set ; 
* join by cell plan with N method estimates dataset ; 
foreach cell in reg { ;
forvalues i = 77(1)100 { ;
foreach sample in 10000 { ;
		use "${directory}/data/analysis/acgdistributions/handel_method/temp/personpieces/HM_bene_plan`i'_`year'_`pdate'.dta", clear;
		
		joinby cell`cell' plan drugplan using "`input_directory'/HM_ACG_sample_cell`cell'_`sample'_`year'_`acgdate'.dta", unmatched(both) ;
		assert _merge !=1 ; 
		drop if _merge == 2 ; 
		assert _merge == 3 ; 
		drop _merge ; 
		
		collapse (first) tier (sum) famsum_cc_in = sum_cc_in famsum_cc_out = sum_cc_out famsum_cc_drug = sum_cc_drug famsum_uncap = sum_uncap famsum_ded = sum_deductible, by(familyid id plan drugplan) ;
			
		merge m:1 plan tier using `dedmax' ; 
		assert _merge != 1 ; 
		drop if _merge == 2 ; 
		drop _merge ; 
		
		merge m:1 plan tier using `maxoop_in' ; 
		assert _merge != 1 ; 
		drop if _merge == 2 ;  
		drop _merge ; 
		
		merge m:1 plan tier using `maxoop_out' ; 
		assert _merge != 1 ; 
		drop if _merge == 2 ; 
		drop _merge ; 
		drop network ; 
		
		replace famsum_ded = maxded if famsum_ded > maxded & tier > 1 ; 
		replace famsum_cc_in = maxoop_in if famsum_cc_in > maxoop_in & tier > 1 ; 
		replace famsum_cc_out = maxoop_out if famsum_cc_out > maxoop_out & tier > 1 ; 

		* OMED9 has 1 OOP max and includes deductibles and drugs ; 
		replace famsum_cc_in = famsum_cc_in + famsum_cc_out + famsum_ded + famsum_cc_drug if (plan == "OMED9" | plan == "MMEDH") & tier > 1 ;
		replace famsum_cc_out = 0 if (plan == "OMED9" | plan == "MMEDH")& tier > 1 ;
		replace famsum_cc_drug = 0 if (plan == "OMED9" | plan == "MMEDH") & tier > 1 ;
		replace famsum_ded = 0 if (plan == "OMED9" | plan == "MMEDH") & tier > 1 ;
		replace famsum_cc_in = maxoop_in if famsum_cc_in > maxoop_in & (plan == "OMED9" | plan == "MMEDH") & tier > 1 ;

		gen famsum_oop = famsum_ded + famsum_cc_out + famsum_cc_in + famsum_uncap + famsum_cc_drug ;

		collapse (mean) fam_oop_mean_2k_`cell' = famsum_oop (median) fam_oop_median_2k`cell' = famsum_oop (p75) fam_oop_p75_2k`cell' = famsum_oop (p95) fam_oop_p95_2k`cell' = famsum_oop (p99) fam_oop_p99_2k`cell' = famsum_oop (sd) fam_oop_sd_2k`cell' = famsum_oop, by(familyid plan drugplan) ;

		*** We are saving on agedisk4 now! ; 
		save "${directory}/data/analysis/acgdistributions/handel_method/temp/familypieces/famcell`cell'_`sample'_`i'_`year'_`cdate'.dta", replace ;
	} ;
} ;
} ;
} ;
log close ; 