#delimit ;
clear;
set more off;

/*** 0. Initializations and log*/;
pause off ;
global directory /disk/agedisk3/oebb.work/cbehrer/oregon/;
local directory /disk/agedisk3/oebb.work/cbehrer/oregon  ;
local c_date = c(current_date);
local cdate = subinstr("`c_date'", " ", "_", .);
local ctime = c(current_time);
global cdate `cdate';
global ctime `ctime';
di "$cdate";

local datadate 20_Dec_2017 ; 
local acgdate 12_Oct_2016 ; 

log using "$directory/log/regressionanalysis/0addacg_20k_`cdate'_`ctime'.log" ;

local outdir "/disk/agedisk3/oebb.work/cbehrer/oregon/data/analysis/formal_reg_datasets" ;
local ACGdir "/disk/agedisk4/oebb.work/cbehrer/oregon/data/analysis/acgdistributions/handel_method/distributions" ;

use "`outdir'/temp/analysis_dataset_HM_ACG_2K_IE_10K_`datadate'.dta", clear ; 
di _N ; 
unique(familyid plan year) ;

preserve ; 
keep if ACG == 0 ; 
tempfile pf ; 
save `pf' ; 
restore ; 
drop if ACG == 0 ; 

	foreach i in 2009 2010 2011 2012 2013 { ;
	preserve ; 
	keep if year == `i' ;
		foreach cell in cell3 celldec cellreg{ ;
			foreach sample in 20000 { ;
			merge 1:1 familyid plan using "`ACGdir'/distribution_`cell'_`sample'_`i'_`acgdate'.dta" ;
			drop if _merge == 2 ; 
			assert _merge == 3 ; 
			drop _merge ; 

			} ;
		} ;
		tempfile `i' ; 
		save ``i'';
	restore ; 
	} ;
	
use `2009' , clear ; 
	append using `2010' ;
	append using `2011' ;
	append using `2012' ; 
	append using `2013' ; 
	
	sort year familyid plan ; 
	
foreach stat in mean median p75 p95 p99 { ;
	foreach cell in cell3 celldec cellreg{ ;
		foreach size in 20k {;
			replace acg_`stat'_`size'_`cell' = acg_`stat'_`size'_`cell' - potential_hsa - potential_hra ; 
			replace acg_`stat'_`size'_`cell' = 0 if acg_`stat'_`size'_`cell'< 0 ; 
			sum acg_`stat'_`size'_`cell', detail; 
			} ;
		} ;
} ;

append using `pf' ; 

save "`outdir'/analysis_dataset_`cdate'.dta", replace ;

log close ; 
