#delimit ;
clear ;
set more off ;
pause off ; 
/*** Project: 		Oregon Health Plan Choice Analysis 								*/ ;
/*** Program: 		2_IE_observedcosts_trteffect.do									*/ ;
/*** Author:		Chris Behrer (christopher_behrer@post.harvard.edu) 				*/ ;
/*** Dates:			Created: 	07 June 2015										*/ ;
/***				Modified: 	20 July 2016										*/ ;

/*** Purpose & Description: 
Tabulate costs in treatment vs control arms to describe treatment effect
*/ ;
*** 0. Initializations and log ;
global directory /disk/agedisk3/oebb.work/cbehrer/oregon/ ;

local c_date = c(current_date) ;
local cdate = subinstr("`c_date'", " ", "_", .) ;
local ctime = c(current_time) ;
global cdate `cdate' ;
global ctime `ctime' ;
di "$cdate" ;

cap mkdir "$directory/log/informedenrollment/`cdate'/" ;
cap mkdir "$directory/data/informedenrollment/`cdate'/" ;
cap mkdir "$directory/output/informedenrollment/`cdate'/" ;

log using "$directory/log/informedenrollment/`cdate'/3_IE_observedcosts_trteffect_regs_`cdate'_`ctime'.log" ;
local indata1 "$directory/data/analysis/formal_reg_datasets";

use "`indata1'/IE2013_observedcost_trteffect_data__8_Oct_2016.dta", clear ;
	cap drop treatment ; 
	
	foreach i in 1 2 3 4 {;
	gen tier_`i' = . ; 
	replace tier_`i' = 1 if tier13 == `i' ; 
	replace tier_`i' = 0 if tier13!= `i' ;
	};
	
	tab tier13 ; 
	tab tier13 tier_1 ; 
	tab tier13 tier_2 ; 
	tab tier13 tier_3 ;
	tab tier13 tier_4 ; 
	
	gen treatment = 0 if arm == 1 ; 
	replace treatment = 1 if arm == 2 ; 
	
	regress costtot_obs13 treatment, cluster(entitynum13) ;
	regress diff_cost_obs treatment, cluster(entitynum13) ;
	
	regress costtot_pb13 treatment, cluster(entitynum13) ;
	regress diff_cost_pb treatment, cluster(entitynum13) ;
	
	
	regress costtot_obs13 treatment tier_*, cluster(entitynum13) ;
	regress diff_cost_obs treatment tier_*, cluster(entitynum13) ;
	
	gen treat_tier1 = treatment*tier_1 ; 
	gen treat_tier2 = treatment*tier_2 ; 
	gen treat_tier3 = treatment*tier_3 ; 
	gen treat_tier4 = treatment*tier_4 ; 

	
	regress costtot_obs13 tier_* treat_tier*, cluster(entitynum13) ;
	regress diff_cost_obs tier_* treat_tier*, cluster(entitynum13) ; 

log close ; 