set more off
#delimit ;
* copied and updated log and data inputs from 072616 version from ~abaluckj/oregon/ ;

capture log close;

cd "/disk/agedisk3/oebb.work/cbehrer/oregon/do/6paper_do/JAdofiles/";

local name = "`1'";
local MODA = "`2'";
local date = "`3'";

local regoutput = 1;
local shockdiff = 5000;

if(`MODA' == 1) local ins = "MODA";
if(`MODA' == 0) local ins = "ALL";
log using /disk/agedisk3/oebb.work/cbehrer/oregon/do/6paper_do/JAdofiles/logdir/oregonanal`date'`ins'aux`name'.log, replace;

use /disk/agedisk3/oebb.work/cbehrer/oregon/data/analysis/formal_reg_datasets/analysis_dataset_31_Oct_2016.dta, clear;

*Impose sample restrictions;
*Keep only people for whom ACG is non-blank;
*Keep only insurers we want to keep;
*Drop choice sets with 1 plan;
*Create numplans;
*Drop 2008 since inertia is unknown, drop 2013 since change in plan names;
do finalsamprestrict.do `MODA';

**Create identifiers;
gen stryear = string(year);
gen yearben = stryear + familyid;
gen totcost_PF = net_premium+net_calc_ooptotal_PF;
gen totcost_PB = net_premium+net_calc_ooptotal_PB;
gen totcost_RE = net_premium+acg_mean_2k_cellreg;
local models "PF PB RE";
foreach x of local models {;
bys yearben: egen mincost_`x' = min(totcost_`x');
gen forgsave_`x' = totcost_`x'-mincost_`x';
};

*Make Figure 1: mean of foregone savings;

sum forgsave_PF forgsave_PB forgsave_RE if chosen == 1;

*Make Figure 2: mean of foregone savings by number of plans;

preserve;
keep if chosen == 1;
collapse (mean) totcost_* forgsave_*, by(numplan);
sort numplan;
list numplan totcost_* forgsave_*, clean;
restore;

*Make supplementary Figure 2, distribution for MODA/ALL of foregone savings in $500 bins for RE;

local model = "RE";
gen bin = 0 if forgsave_`model' == 0;
gen limit = "0" if bin == 0;
forvalues x = 1/8 {;
local limit = `x'*500;
replace limit = "`limit'" if bin == . & forgsave_`model' < `limit';
replace bin = `x' if bin == . & forgsave_`model' < `limit';
};
replace bin = 9 if forgsave_`model' >= `limit';
replace limit = "`limit'+" if forgsave_`model' >= `limit';

gen counter = 1;
keep if chosen == 1;
collapse (sum) counter, by(bin limit);
egen totcount = sum(counter);
gen perc = counter/totcount;
sort bin;
list bin limit perc, clean;


