set more off
#delimit ;

local inc = "`1'";
local qinit = "`2'";
local qmax = "`3'";
local diffchoice = "`4'";

*Do a grid search;
**Solve for equivalent information intervention;
gen scale = .;
gen absdiff = .;
egen ID = group(year familyid);
bys ID: gen count = _N;
bys ID: gen altID = _n;
egen Jmax = max(count);

forvalues q = 1/`qmax' {;
local scale = `qinit'+`q'*`inc';
gen vij = `scale'*(_b[gross_premium]*totalcst+_b[acg_var_cellreg]*acg_var_cellreg);
local Jmax = Jmax;
local label "sim";
do makelogitprob.do "ID" "vij" "`label'" "`Jmax'" "altID";
*Check that variables sum to about 1;
bys ID: egen sumsij = sum(sijsim);
gen abstest = abs(sumsij);
assert abstest > 0.99 & abstest < 1.01;
capture drop sumsij abstest;
*Compute expected total costs according to sijsim;
gen expwelf = welf*sijsim;
bys ID: egen sumexpwelf = sum(expwelf);
gen newforgwelf = sumexpwelf-minwelf;
sum forgsavingwelf if chosen == 1;
local origforg = r(mean);
sum newforgwelf if chosen == 1;
local newforg = r(mean);
local diff = `origforg'-`newforg';
local absdiff = abs(`diff'- `diffchoice');

display "Scale is `scale' and diff is `diff'";

replace scale = `scale' if _n == `q';
replace absdiff = `absdiff' if _n == `q';

drop vij sijsim expwelf sumexpwelf newforgwelf;
};

