set more off
#delimit ;

local inc = "`1'";
local qinit = "`2'";
local finq = "`3'";

*Choose scale so that foregone savings are 22% smaller;
*Given vij, compute choice probabilities and expected costs;
egen ID = group(year familyid);
bys ID: gen count = _N;
bys ID: gen altID = _n;
egen Jmax = max(count);
local scale = `qinit'+`finq'*`inc';
gen vij = `scale'*(_b[gross_premium]*totalcst+_b[acg_var_cellreg]*acg_var_cellreg);
local Jmax = Jmax;
local label "sim";
do makelogitprob.do "ID" "vij" "`label'" "`Jmax'" "altID";
*Check that variables sum to about 1;
bys ID: egen sumsij = sum(sijsim);
gen abstest = abs(sumsij);
assert abstest > 0.99 & abstest < 1.01;
capture drop sumsij abstest;

replace vij = `scale'*(_b[gross_premium]*totalcst+_b[acg_var_cellreg]*acg_var_cellreg+ _b[diffdum]*diffdum);
local label "simapprox";
do makelogitprob.do "ID" "vij" "`label'" "`Jmax'" "altID";
bys ID: egen sumsij = sum(sijsimapprox);
gen abstest = abs(sumsij);
assert abstest > 0.99 & abstest < 1.01;
capture drop sumsij abstest;

replace vij = `scale'*(_b[gross_premium]*totalcst+_b[acg_var_cellreg]*acg_var_cellreg+ _b[diffdum]*diffdum +_b[inertia]*inertia);
local label "siminertia";
do makelogitprob.do "ID" "vij" "`label'" "`Jmax'" "altID";
*Check that variables sum to about 1;
bys ID: egen sumsij = sum(sijsiminertia);
gen abstest = abs(sumsij);
assert abstest > 0.99 & abstest < 1.01;
capture drop sumsij abstest;

*Compute expected total costs according to sijsim;
gen exptotalcst = welf*sijsim;
bys ID: egen sumexptotalcst = sum(exptotalcst);
gen newforgnoinertia = sumexptotalcst-minwelf;

*Compute expected total costs according to sijsim;
local x = "inertia";
gen exptotalcst`x' = welf*sijsim`x';
bys ID: egen sumexptotalcst`x' = sum(exptotalcst`x');
gen newforg`x' = sumexptotalcst`x'-minwelf;

*Compute expected total costs according to sijsim;
local x = "approx";
gen exptotalcst`x' = welf*sijsim`x';
bys ID: egen sumexptotalcst`x' = sum(exptotalcst`x');
gen newforg`x' = sumexptotalcst`x'-minwelf;


