set more off
#delimit ;

local ID `1';
local vij `2';
local label `3';
local J `4';
local altID `5';

disp "ID is `ID'";
disp "vij is `vij'";
disp "label is `label'";
disp "J is `J'";
disp "altID is `altID'";

*Use more robust logit probability calculation;
gen double sij`label' = .;
forvalues j = 1/`J' {;
gen onlyj = `vij' if altID == `j';
bys ID: egen maxvij = max(onlyj);
gen expvik = exp(`vij'-maxvij);
*deal with missing values when vijdiff is very large;
gen vijdiff = `vij'-maxvij;
replace expvik = exp(40) if vijdiff >= 40;
assert expvik != .;
bys `ID': egen sumexpvik = sum(expvik);
replace sij`label' = 1/sumexpvik if altID == `j';
drop onlyj maxvij expvik sumexpvik vijdiff;
};


