set more off
#delimit ;

local model "`1'";

preserve;

gen total_calc_cost = totcost_`model';
*Always control for prior year expenditures;
gen expend = totallowedamt_PB;
local currvar $currvar;

**Compute overspendingPF;

bys year familyid: egen mincost = min(total_calc_cost);
gen forgsaving = round(total_calc_cost-mincost,.1);
gen totalcst = total_calc_cost;

egen yearfam = group(year familyid);

quietly tab numplan, gen(plannumdum);
drop plannumdum1;

keep if chosen == 1;
sum forgsaving, detail;

gen newguy = 1 if experience == 1;
replace newguy = 0 if newguy != 1;

egen choicetierrate = group(entitynum tier ratestructure memid empid);

egen tierrate = group(tier ratestructure);
quietly tab experience, gen(expdum);
xtile expendquant = expend, nq(20);
quietly tab expendquant, gen(expenddum);
quietly tab experience, gen(experdum);
quietly tab year, gen(yeardum);

egen eachyear = tag(year);
egen numyear = sum(eachyear);
local numyear = numyear;
forvalues y = 1/`numyear' {;
forvalues zz = 1/20 {;
gen yearexpenddum`y'_`zz' = yeardum`y'*expenddum`zz';
};
};

egen maxexper = max(experience);
local maxexper = maxexper;
if(`maxexper' > 1) drop experdum1;
drop expenddum1;
if("`model'" == "PB") drop experdum2;

xtile subsidyquant = subsidy, nq(10);
quietly tab subsidyquant, gen(subsidydum);
local xvar plannumdum*;
local controls experdum* yearexpenddum* subsidydum*;
local cluster "entitynum";
display "`controls'";
areg `currvar' `xvar' `controls', absorb(choicetierrate) cluster(`cluster');
restore;
