set more off
#delimit ;

local choicetype `1';

gen inertial = (sharp_inertia == 1);
preserve;
keep if chosen == 1;
keep year familyid inertial;
tempfile inertial;
save `inertial', replace;
restore;

capture drop inertial;
*Inertial is a property of (familyid, year);
merge m:1 year familyid using `inertial', keep(1 3);
assert _merge == 3;
drop _merge;

*No plan number in 2013;
drop if year == 2013;
keep if insurer == "MODA";
*Keep if last year insurer is MODA too;
keep if lastnum1 == "O";
**For this table, keep if year is 2008-2012;
*For this table, only keep people for whom planlast is not blank;
gen flag = (planlast == "");
bys year familyid:  egen maxflag = max(flag);
drop if maxflag == 1;
drop flag maxflag;
bys year familyid: gen OMEDcount = _N;
keep if OMEDcount > 1;
drop OMEDcount;


*Actual choices;
if(`choicetype' == 1) keep if chosen == 1;

if(`choicetype' == 2) {;
*Random choices;
gen test = uniform();
replace test = 999 if sharp_inertia == 1;
sort year familyid test;
by year familyid: gen simchosen = _n;
*Only let you choose from non-inertial plans;
replace simchosen = 0 if simchosen != 1;
keep if simchosen == 1;


};

if(`choicetype' == 3) {;
gen totcost = total_calc_cost_PF;
replace totcost = totcost+uniform();
replace totcost = 99999 if sharp_inertia == 1;
bys year familyid: egen mincost = min(totcost);
gen simchosen2 = (totcost == mincost);
keep if simchosen2 == 1;
};

tab diff;
tab diff if inertial == 0;

assert diff != 0 if inertial == 0;

/*;
tab diff if inertial == 0 & bothavailcurr == 1;
tab diff if inertial == 0 & bothavaillast == 1 & bothavailcurr == 1;
tab diff if inertial == 0 & bothavaillast == 1 & bothavailcurr == 1 & newbestlast == 1;
tab diff if inertial == 0 & bothavaillast == 1 & bothavailcurr == 1 & newbest == 1;

tab diff if planlast != "OMED4" & plan != "OMED4";
tab diff if planlast != "OMED4" & plan != "OMED4" & inertial == 0;
tab diff if diff != 0;
tab diff if planlast != "OMED4" & plan != "OMED4" & diff != 0;
*/;
