set more off
#delimit ;
* copied and updated log and data inputs from 072616 version from ~abaluckj/oregon/ ;

capture log close;

cd "/disk/agedisk3/oebb.work/cbehrer/oregon/do/6paper_do/JAdofiles/";

local name = "`1'";
local exp = "`2'";
local shock = `3';
local mixed = `4';
local dummies = `5';
local modelfit = `6';
local MODA = `7';
local regoutput = `8';
local date = "`9'";

local shockdiff = 5000;

if(`MODA' == 1) local ins = "MODA";
if(`MODA' == 0) local ins = "ALL";
log using /disk/agedisk3/oebb.work/cbehrer/oregon/do/6paper_do/JAdofiles/logdir/oregonanal`date'`ins'aux`exp'`name'_mixed`mixed'.log, replace;

use /disk/agedisk3/oebb.work/cbehrer/oregon/data/analysis/formal_reg_datasets/analysis_dataset_31_Oct_2016.dta, clear;

*Create last year's plan and diffdum;
*Create indicators for whether last year's plan is present this year and whether this year's plan is present last year;
*Create indicators for which of this year's or last year's plan are lower cost in this year and last year;
gen expend = totallowedamt_PF;
do makeplandiff.do;
gen expenddiff = expend-expendlast;
*gen expenddiff = expendlast-expendlast2;
gen shock = (expenddiff > `shockdiff');
replace shock = 0 if expenddiff == .;
tab shock if chosen == 1;
if(`shock' != 1) replace shock = 0;

*1 = actual choices;
*2 = random choices;
*3 = cost minimizing choices;
local choicetype = "1";
*keep if shock == 1;
*do makeplantable.do `choicetype';

*Impose sample restrictions;
*Keep only people for whom ACG is non-blank;
*Keep only insurers we want to keep;
*Drop choice sets with 1 plan;
*Create numplans;
do finalsamprestrict.do `MODA';



bys year entitynum: egen meanexpend = mean(expend);

/*;
gen num500 = (numobs <= 500);
gen num500_1000 = (numobs > 500)*(numobs<=1000);
gen num1000_2000 = (numobs>1000)*(numobs<=2000);
gen num2000 = (numobs>2000);
*/;


gen numplans = numplan;


bys year entitynum: egen numobs = sum(chosen);
xtile numobsquant = numobs, nq(4);
xtile expendquant = meanexpend, nq(4);
xtile subsidyquant = subsidy, nq(4);


areg numplans i.numobsquant i.expendquant i.subsidyquant i.tier i.year, absorb(entitynum) cluster(entitynum);

