set more off
#delimit ;

local maxplan `1';
local plancontrols `2';
local dummies `3';
local variables `4';
local inertia `5';

forvalues pp = 2/`maxplan' {;

local premcoef`pp' = _b[gross_premium_numplan`pp']*100;
local premstd`pp' = _se[gross_premium_numplan`pp']*100;
local residpremcoef`pp' = _b[resid_premium_numplan`pp']*100;
local residpremstd`pp' = _se[resid_premium_numplan`pp']*100;
local meanoop`pp' = _b[acg_mean_2k_cellreg_numplan`pp']*100;
local meanoopstd`pp' = _se[acg_mean_2k_cellreg_numplan`pp']*100;
local varoop`pp' = _b[acg_var_cellreg_numplan`pp']*1e6;
local varoopstd`pp' = _se[acg_var_cellreg_numplan`pp']*1e6;
local inertiacoef`pp' = -100*_b[inertia_numplan`pp']/`premcoef`pp'';
local inertiastd`pp' = -100*_se[inertia_numplan`pp']/`premcoef`pp'';
local approxinertia`pp' = -100*_b[diffdum_numplan`pp']/`premcoef`pp'';
local approxinertiastd`pp' = -100*_se[diffdum_numplan`pp']/`premcoef`pp'';

};

display "Dummies is `dummies'";

if(`dummies' == 1) {;

gen observed = 0;
forvalues pp = 2/`maxplan' {;
foreach x of local variables {;
replace observed = observed+_b[`x'_numplan`pp']*`x'_numplan`pp';
};

foreach x of local inertia {;
replace observed = observed+_b[`x'_numplan`pp']*`x'_numplan`pp';
};
};

constraint 1 observed = 1;

local plancontrolsnum "";

forvalues pp = 2/`maxplan' {;
local pminus = `pp'-1;

foreach a of local plancontrols {;
        gen `a'_numplan`pp' = `a'*plannumdum`pminus';
        local plancontrolsnum `plancontrolsnum' `a'_numplan`pp';
};

};

clogit chosen observed `plancontrolsnum', group(yearben) constraint(1);

};

forvalues pp = 2/`maxplan' {;

local deduct`pp' = _b[ded_in_numplan`pp']*100;
local deductstd`pp' = _se[ded_in_numplan`pp']*100;
local maxoop`pp' = _b[max_oop_in_numplan`pp']*100;
local maxoopstd`pp' = _se[max_oop_in_numplan`pp']*100;
local copay`pp' = _b[pcp_copay_in_numplan`pp']*100;
local copaystd`pp' = _se[pcp_copay_in_numplan`pp']*100;

};

**Relevant output;

forvalues pp = 2/`maxplan' {;
display "Premium `pp' is `premcoef`pp'' (`premstd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "Resid prem `pp' is `residpremcoef`pp'' (`residpremstd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "OOP `pp' is `meanoop`pp'' (`meanoopstd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "Var `pp' is `varoop`pp'' (`varoopstd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "Inertia `pp' is `inertiacoef`pp'' (`inertiastd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "Approx inertia `pp' is `approxinertia`pp'' (`approxinertiastd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "Deduct `pp' is `deduct`pp'' (`deductstd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "maxoop`pp' is `maxoop`pp'' (`maxoopstd`pp'')";
};
forvalues pp = 2/`maxplan' {;
display "copay`pp' is `copay`pp'' (`copaystd`pp'')";
};


