set more off
#delimit ;


*Do for all beneficiaries and with just ODS;

**Create copay controls;

gen  haspcpcopayin = 1 if pcp_copay_in > 0;
replace haspcpcopayin = 0 if haspcpcopayin != 1;

gen  haspcpcopayout = 1 if pcp_copay_out > 0;
replace haspcpcopayout = 0 if haspcpcopayout != 1;

gen  hasspeccopayin = 1 if spec_copay_in > 0;
replace hasspeccopayin = 0 if hasspeccopayin != 1;

gen  hasspeccopayout = 1 if spec_copay_out > 0;
replace hasspeccopayout = 0 if hasspeccopayout != 1;

**Create inertia controls;
replace sharp_inertia = 0 if sharp_inertia == .;
gen inertia = fuzzy_inertia + sharp_inertia;

**Create residual premium;
gen resid_premium = net_premium-gross_premium;
gen shockdiffdum = shock*diffdum;
replace diffdum = 0 if shock == 1;

**Create identifiers;
gen stryear = string(year);
gen yearben = stryear + familyid;

**Create plan year dummies;
egen planyear = group(plan year);
replace planyear = 1 if plan == "OMED3" | plan == "MMEDA";
quietly tab planyear, gen(planyeardum);
drop planyeardum1;

**Create plan tier dummies;
egen plantier = group(plan tier);
replace plantier = 1 if plan == "OMED3" | plan == "MMEDA";
quietly tab plantier, gen(plantierdum);
drop plantierdum1;

**Create ACG variables;
local allvars = "3 dec reg";
foreach x of local allvars {;
gen acg_var_cell`x' = acg_sd_2k_cell`x'^2;
};




